> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/email.md).

# Email

Endpoints for email verification

## Perform bulk credential issuance based on the valid email addresses

> This endpoint performs bulk credential issuance based on the valid email addresses.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Email","description":"Endpoints for email verification"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/emails/verify":{"post":{"summary":"Perform bulk credential issuance based on the valid email addresses","description":"This endpoint performs bulk credential issuance based on the valid email addresses.","tags":["Email"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"emails":{"type":"array","items":{"type":"object","properties":{"email":{"type":"string","description":"The email address to be verified as one of the bulk credential recipient."},"schema_id":{"type":"string","description":"The schema ID of the credential to be issued."},"time_to_accept":{"type":"number","description":"The number of days for the recipient to accept the credential."},"attributes":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}}},"description":"The attributes of the credential."}}}}}}}}},"responses":{"200":{"description":"Email verification successful","content":{"application/json":{"schema":{"type":"object","properties":{"emailsSuccess":{"type":"array","items":{"type":"string"}},"emailsFailure":{"type":"array","items":{"type":"string"}},"invalidEmails":{"type":"array","items":{"type":"string"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.indicio.tech/developer/indicio-proven-r/api-reference/email.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
